Bug 578027 - lang-specific overrides rule doesn't work as expected
Summary: lang-specific overrides rule doesn't work as expected
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: knm-new-fixed-fonts
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 578015
Blocks: F13Target
TreeView+ depends on / blocked
 
Reported: 2010-03-30 03:39 UTC by Akira TAGOH
Modified: 2010-05-10 23:49 UTC (History)
3 users (show)

Fixed In Version: knm-new-fixed-fonts-1.1-11.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-10 23:49:55 UTC


Attachments (Terms of Use)

Description Akira TAGOH 2010-03-30 03:39:17 UTC
Description of problem:
All of detailed information is available on my post at the fonts list:
http://lists.fedoraproject.org/pipermail/fonts/2010-March/001117.html

binding="same" in the fontconfig config file prevents to apply the rule for the
specific
language only properly. As a result, fonts is used for non-targetted languages
and it may gives different look and feel in some cases.

I'd propose to get rid of binding="same" from:
 69-knm-new-fixed.conf

Comment 1 Akira TAGOH 2010-04-19 03:21:29 UTC
Fixed in knm-new-fixed-fonts-1.1-11.fc13.

Comment 2 Fedora Update System 2010-04-19 03:30:07 UTC
knm-new-fixed-fonts-1.1-11.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/knm-new-fixed-fonts-1.1-11.fc13

Comment 3 Fedora Update System 2010-04-20 13:34:12 UTC
knm-new-fixed-fonts-1.1-11.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update knm-new-fixed-fonts'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/knm-new-fixed-fonts-1.1-11.fc13

Comment 4 Akira TAGOH 2010-04-27 01:45:30 UTC
Testing result without vlgothic-*-fonts, sazanami-*-fonts
# rpm -qa knm-new-fixed-fonts
knm-new-fixed-fonts-1.1-11.fc13.noarch
# fc-match monospace:lang=en
DejaVuSansMono.ttf: "DejaVu Sans Mono" "Book"
# fc-match monospace:lang=en-us
DejaVuSansMono.ttf: "DejaVu Sans Mono" "Book"
# fc-match monospace:lang=ja
wqy-microhei.ttc: "文泉驛微米黑" "Regular"
# fc-match monospace:lang=ja-jp
wqy-microhei.ttc: "文泉驛微米黑" "Regular"

Since DejaVu is used for en, this issue itself seems gone but this font wasn't used for ja because the font is broken, not having enough glyph coverages:

# fc-match -v Fixed | grep lang | grep ja
#

# for i in $(ls /usr/share/locale|grep -v -E "^(ja)$"); do fc-match monospace:lang=$i|grep -E "^(Fixed)$"; [ $? = 0 ] && echo $i; done

So the above testcase isn't reliable enough. need to revisit later once we get it fixed.

Comment 5 Fedora Update System 2010-05-10 23:49:51 UTC
knm-new-fixed-fonts-1.1-11.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.